package cn.net.test.bean;

import java.io.Serializable;

public class OnlineWarehouseBeanTest implements Serializable{

	private String RelationID;
	private String OrderNo;
	private String OrderType;
	private String CustomerCode;
	private String BusinessDate;
	private String DealerCode;
	private String DealerName;
	private String DealerMarketCode;
	private String DealerMarketName;
	private String DistrictName;
	private String ShipModeCode;
	private String ShipModeName;
	private String Remark;
	private String ItemCode;
	private String ItemName;
	private String ItemSpec;
	private String ItemUnit;
	private Integer OrderAmount;
	private String cWhCode;
	private String cWhName;
	private String ItemContent;
	private String CreateDate ;
	private String UpdateDate ;
	
	private int hasOutWarehouseCount;//已经出库的数量

	public String getRelationID() {
		return RelationID;
	}

	public void setRelationID(String relationID) {
		RelationID = relationID;
	}

	public String getOrderNo() {
		return OrderNo;
	}

	public void setOrderNo(String orderNo) {
		OrderNo = orderNo;
	}

	public String getOrderType() {
		return OrderType;
	}

	public void setOrderType(String orderType) {
		OrderType = orderType;
	}

	public String getCustomerCode() {
		return CustomerCode;
	}

	public void setCustomerCode(String customerCode) {
		CustomerCode = customerCode;
	}

	public String getBusinessDate() {
		return BusinessDate;
	}

	public void setBusinessDate(String businessDate) {
		BusinessDate = businessDate;
	}

	public String getDealerCode() {
		return DealerCode;
	}

	public void setDealerCode(String dealerCode) {
		DealerCode = dealerCode;
	}

	public String getDealerName() {
		return DealerName;
	}

	public void setDealerName(String dealerName) {
		DealerName = dealerName;
	}

	public String getDealerMarketCode() {
		return DealerMarketCode;
	}

	public void setDealerMarketCode(String dealerMarketCode) {
		DealerMarketCode = dealerMarketCode;
	}

	public String getDealerMarketName() {
		return DealerMarketName;
	}

	public void setDealerMarketName(String dealerMarketName) {
		DealerMarketName = dealerMarketName;
	}

	public String getDistrictName() {
		return DistrictName;
	}

	public void setDistrictName(String districtName) {
		DistrictName = districtName;
	}

	public String getShipModeCode() {
		return ShipModeCode;
	}

	public void setShipModeCode(String shipModeCode) {
		ShipModeCode = shipModeCode;
	}

	public String getShipModeName() {
		return ShipModeName;
	}

	public void setShipModeName(String shipModeName) {
		ShipModeName = shipModeName;
	}

	public String getRemark() {
		return Remark;
	}

	public void setRemark(String remark) {
		Remark = remark;
	}

	public String getItemCode() {
		return ItemCode;
	}

	public void setItemCode(String itemCode) {
		ItemCode = itemCode;
	}

	public String getItemName() {
		return ItemName;
	}

	public void setItemName(String itemName) {
		ItemName = itemName;
	}

	public String getItemSpec() {
		return ItemSpec;
	}

	public void setItemSpec(String itemSpec) {
		ItemSpec = itemSpec;
	}

	public String getItemUnit() {
		return ItemUnit;
	}

	public void setItemUnit(String itemUnit) {
		ItemUnit = itemUnit;
	}

	public Integer getOrderAmount() {
		return OrderAmount;
	}

	public void setOrderAmount(Integer orderAmount) {
		OrderAmount = orderAmount;
	}

	public String getcWhCode() {
		return cWhCode;
	}

	public void setcWhCode(String cWhCode) {
		this.cWhCode = cWhCode;
	}

	public String getcWhName() {
		return cWhName;
	}

	public void setcWhName(String cWhName) {
		this.cWhName = cWhName;
	}

	public String getItemContent() {
		return ItemContent;
	}

	public void setItemContent(String itemContent) {
		ItemContent = itemContent;
	}

	public String getCreateDate() {
		return CreateDate;
	}

	public void setCreateDate(String createDate) {
		CreateDate = createDate;
	}

	public String getUpdateDate() {
		return UpdateDate;
	}

	public void setUpdateDate(String updateDate) {
		UpdateDate = updateDate;
	}

	public int getHasOutWarehouseCount() {
		return hasOutWarehouseCount;
	}

	public void setHasOutWarehouseCount(int hasOutWarehouseCount) {
		this.hasOutWarehouseCount = hasOutWarehouseCount;
	}

	@Override
	public String toString() {
		return "OnlineWarehouseBean [RelationID=" + RelationID + ", OrderNo=" + OrderNo + ", OrderType=" + OrderType
				+ ", CustomerCode=" + CustomerCode + ", BusinessDate=" + BusinessDate + ", DealerCode=" + DealerCode
				+ ", DealerName=" + DealerName + ", DealerMarketCode=" + DealerMarketCode + ", DealerMarketName="
				+ DealerMarketName + ", DistrictName=" + DistrictName + ", ShipModeCode=" + ShipModeCode
				+ ", ShipModeName=" + ShipModeName + ", Remark=" + Remark + ", ItemCode=" + ItemCode + ", ItemName="
				+ ItemName + ", ItemSpec=" + ItemSpec + ", ItemUnit=" + ItemUnit + ", OrderAmount=" + OrderAmount
				+ ", cWhCode=" + cWhCode + ", cWhName=" + cWhName + ", ItemContent=" + ItemContent + ", CreateDate="
				+ CreateDate + ", UpdateDate=" + UpdateDate + ", hasOutWarehouseCount=" + hasOutWarehouseCount + "]";
	}


	
}
